Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X DELETE "https://api.box.com/2.0/storage_policy_assignments/932483" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-d '{
"items": {
"type": "storage_policy",
"id": "1434325"
}
}'{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Delete a storage policy assignment.
Deleting a storage policy assignment on a user will have the user inherit the enterprise’s default storage policy.
There is a rate limit for calling this endpoint of only twice per user in a 24 hour time frame.
curl -i -X DELETE "https://api.box.com/2.0/storage_policy_assignments/932483" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-d '{
"items": {
"type": "storage_policy",
"id": "1434325"
}
}'{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the storage policy assignment.
Returns an empty response when the storage policy assignment is successfully deleted.
Was this page helpful?